package com.danit.contests.II;

import static com.danit.contests.II.Pairs.findSums;
import org.junit.Test;

import static org.junit.Assert.*;

public class PairsTest {
    @Test
    public void testFindSums1() throws Exception {
        int N = 5;
        long S = 6;
        long[] numbers = {2, 5, 1, 3, 4};
        long expected = 2;
        long result = findSums(N, S, numbers);
        assertEquals(expected, result);
    }

    @Test
    public void testFindSums2() throws Exception {
        int N = 2;
        long S = 5;
        long[] numbers = {1, 9};
        long expected = 0;
        long result = findSums(N, S, numbers);
        assertEquals(expected, result);
    }

    @Test
    public void testFindSums3() throws Exception {
        int N = 5956;
        long S = 2013914360;
        long[] numbers = {2139733899, 1347784791, 2125020843, 2003441513, 1323257562, 1798884144, 1366528378, 1418531975, 1765640503, 1321832131, 2056641177, 1371476401, 1097818494, 1342042092, 1059028749, 1842400707, 1305390557, 1864101640, 1323511543, 2054937199, 1190856431, 1105781245, 1833667932, 1294609725, 1857203883, 1286507701, 1797417785, 1841245604, 1777568239, 1146070099, 1690985686, 2009511897, 1437734291, 2117877278, 1429116173, 1453127359, 2118065690, 1589804778, 1946956838, 1799006993, 1382437453, 1232963921, 1759520972, 2029041887, 1457460975, 1627119817, 1351151802, 1714775559, 1610965046, 1121288929, 1715553908, 2017802352, 1768581468, 1226369326, 1306824147, 1368535467, 1178273281, 1477040180, 1680942193, 1116078788, 1042382437, 2076466049, 1576050102, 1866305403, 1628914000, 1357901992, 1964938582, 1471494140, 1724941983, 1554038000, 1773218273, 1583242765, 1373680052, 1308806742, 1136722837, 1753753821, 1830063427, 1541536697, 1426052263, 1693631659, 1987040822, 1396052842, 2044836286, 2027042992, 1047445001, 1690477736, 1363570988, 1625538702, 1339264956, 1782049368, 1722328775, 1080918044, 1633517865, 1320914638, 2147008398, 1342845052, 1755023596, 1098178819, 1812655229, 1413731385, 1559886979, 1447556668, 1141163135, 1602486270, 1357377689, 1895256182, 1740162876, 1464137666, 2118041272, 1902727663, 1672086306, 1920479984, 2107596054, 1844587896, 1638162735, 1678115979, 1788062211, 1293872525, 1210943675, 1453274629, 1802120182, 1839598907, 1263545295, 2006554427, 1020271732, 1712498359, 1692075133, 1519721010, 1466054597, 1363317227, 1702774228, 1698661780, 2014582970, 2146508639, 1652711981, 1763166627, 2011576147, 1048813109, 2031999402, 1375908537, 1068007189, 1874874238, 1210206435, 1411437793, 1589632635, 1988572738, 1689527409, 1860005402, 1920733883, 1630929406, 1034698084, 1185212015, 1582915221, 2109250935, 1777936694, 1403827043, 1339092736, 1748773100, 1223116854, 1401525080, 1374474559, 1678058707, 1133052767, 1106043184, 1978348853, 2014992581, 1006640352, 1103651112, 1817275573, 1426724335, 1055284737, 1605541723, 1677681426, 1758103588, 1764919746, 1424700443, 1571380568, 1220765745, 1575337239, 1404203841, 1920438914, 1276284135, 1203275598, 1736337287, 2019211425, 2106735982, 1678386423, 1743791887, 2004596612, 1423807966, 1223903734, 1851141971, 1418450317, 2111085778, 1585864591, 1226188827, 1912565999, 1793190901, 1573518544, 1310519046, 1844645097, 1058184712, 1123443688, 1104380109, 1211558185, 1735067211, 1595276853, 1619976623, 1942156000, 1624900093, 2034563181, 2071296606, 1699243108, 1279044881, 2102951030, 1881698567, 1386836889, 1838320803, 1911214296, 1440642285, 1083138491, 1821248953, 1833692273, 1360687137, 1334816435, 1245424390, 1288146311, 2118639367, 1955354063, 1275604289, 1068375781, 1320316926, 1533811234, 1263446528, 1150346688, 1735198271, 2058591206, 1746577730, 1797302906, 1357869493, 1947563342, 2076523166, 1228122216, 1880936769, 1661641300, 1445541750, 1096245296, 1295412305, 1266043422, 1627242900, 1656726485, 1269656263, 2145156784, 1551162649, 1287703982, 1365274639, 1432892423, 1614192985, 1907445952, 1882812744, 1435350268, 2091048406, 1279184200, 1647706958, 1893274019, 1421120970, 2050718533, 1672487631, 1726924652, 2037176558, 1718396911, 1900212422, 1841065016, 2057698080, 1152984383, 1431139530, 1905602591, 1128448718, 1558502760, 1156343136, 1581186995, 1585274861, 1854304022, 1930375835, 1128735443, 1576426595, 1949808034, 1804954112, 2093538640, 1580351403, 1748126121, 1719658468, 1579827126, 1756031284, 1270647330, 1949873563, 1022860628, 1689347349, 1330032354, 1498945789, 2023258430, 1910476920, 2100583571, 2078251639, 1142924726, 2117246879, 1164641478, 1308347477, 1454896900, 1850068976, 1513216907, 1269787157, 1742980702, 1554423064, 1778445246, 1070513776, 1456617234, 1659994929, 1272506906, 1866419962, 1544928732, 1453586281, 2016582137, 1943826961, 1543978441, 2028001584, 1255942925, 2007856764, 1435685952, 1353797989, 1247112065, 1151567227, 1267771976, 2051783569, 1337831015, 2053446585, 1675067914, 1901072525, 1225763026, 1094901919, 1382953905, 1438692383, 1789201221, 1566653575, 1194100427, 1627767021, 1033002106, 1895477522, 1063960199, 1061674665, 1546239431, 1826680081, 1946629622, 1229752509, 1325354762, 2100862158, 2094275885, 1211042260, 1210984914, 1950627257, 1802824329, 1404899772, 1251780765, 1936830835, 1915965492, 1257572594, 1344451115, 2050185273, 1005869560, 1803782542, 2126380210, 2128887028, 1912165355, 1358303970, 1309756420, 1956009614, 2139291032, 1472214490, 1599544652, 1360835335, 1818373758, 1024843528, 1360163599, 1170859991, 2008921501, 1387581589, 1129636214, 1414125165, 1867795825, 1869172035, 1519417504, 1495038767, 1282903619, 1456493797, 1259850018, 1000470939, 1374204882, 1743455703, 1654202533, 2066159898, 1541183969, 1993397485, 1713710104, 1790101644, 1833504630, 1198269742, 1423308439, 1323551905, 1034747886, 1049517258, 1853459507, 1719370806, 1535482315, 1988506825, 2017868310, 1756801766, 1649885190, 1787201748, 1356452493, 1428805500, 1687365317, 1921511647, 2127453334, 1661722962, 1494506318, 1937150253, 1944465851, 1719338021, 1493580633, 1467888924, 1135690195, 1226009457, 1161463641, 1074946678, 2134801752, 1086980780, 1578105961, 2094800571, 1727685789, 1218677444, 1573281697, 1268812232, 2125642971, 2020989470, 2134449493, 1282854426, 2037685016, 1023852394, 2132917580, 1823387357, 1051008209, 1908298696, 1590942885, 1246603322, 1251027176, 1565294389, 1354511047, 1026645839, 2130508931, 1772219169, 1195025851, 1277570724, 1047772400, 1773693758, 1697310627, 1498799071, 1203004734, 1389924434, 1385689115, 1639441209, 2061129802, 1103831899, 1166608152, 1488378407, 1634968544, 1919521020, 1055431806, 1940418879, 1875610961, 1540454733, 1915834540, 1098032109, 1403343108, 1418671662, 1055923283, 2063325279, 1931817357, 1724179567, 1311763587, 1951586046, 1430935526, 1932775838, 1975908200, 1699694560, 1358492233, 1265347033, 1871473982, 1910354798, 1334103344, 1746438829, 1469142313, 1742357859, 1811310924, 1325747647, 1392128071, 1313418376, 1287138938, 1906824033, 1654620249, 1333538230, 2029419068, 1283452597, 2021972558, 1522636811, 1000642921, 1307176743, 1008983794, 1118060661, 1580580068, 1936052659, 1502788426, 1278635754, 1011433108, 1676550448, 1277243135, 1453249662, 1499167675, 1356370488, 1185711182, 1156138506, 1872719227, 1383690396, 1519302760, 1075004149, 1846791419, 1693058561, 1715807413, 1446294725, 1121067041, 1820634743, 1088324137, 1190102040, 1173317397, 1728226809, 1328524753, 1109426398, 1372926762, 1488632763, 1975080635, 1600429158, 1347662672, 2115837208, 1157965312, 1549336414, 2004137074, 1778313977, 2097479180, 1954355063, 1602665610, 1435776665, 1256499702, 1483373433, 2121547111, 1285697460, 1317539230, 1708156616, 1917112669, 1769056872, 1668030583, 1836133994, 1860013506, 1829228071, 1970198094, 1430828655, 1062607985, 1116332449, 1088734156, 1138450674, 1169942162, 1791699426, 1407045879, 2042977001, 1860218317, 1922978220, 1891251081, 1092559403, 1529002004, 1098187342, 1104380648, 1792748004, 1122361818, 1953322834, 1716692333, 1423218581, 1997624400, 1000102105, 1218677734, 1184441823, 1692895136, 1646305640, 2035800607, 2030885447, 1619690438, 1353257959, 2081980236, 1572101859, 1856531954, 1299050033, 1261496430, 1827336075, 1948849995, 1107902827, 1747036996, 2111430335, 1570209520, 1907315398, 1318899189, 1226582646, 1970517528, 1254435241, 1010515785, 1986827551, 2092441548, 1558085546, 1026358873, 1922372064, 1507187363, 1955133438, 1842769582, 1082262527, 1581407551, 1918570788, 1297346259, 1198605553, 1931833510, 1476326522, 1271883850, 1105412708, 2095210346, 1220545356, 1879724935, 1799440591, 1590574401, 1377841584, 1608940661, 1456723269, 1220447017, 1372402261, 1547657127, 1955272467, 1238305365, 1428641467, 1040260508, 1121608007, 2144173138, 1963972240, 1801578688, 2043624045, 1199293656, 1212132251, 1046724039, 2105605669, 1928376661, 1499224826, 1051196673, 1505819240, 1174726062, 1587256624, 1982936478, 1605819417, 1198007512, 2047326646, 1096753892, 2028190559, 1264535779, 1228655238, 1969403612, 1161889534, 2076538884, 1684023202, 1178903943, 1390825763, 1094116081, 1702356656, 1060895990, 1675042841, 2035653255, 1619796830, 1039162920, 1394217154, 1767656069, 1939058761, 1436227137, 1552015195, 2018622348, 1622295404, 2063784162, 1674035238, 1954060185, 2129820945, 1862388965, 1285926721, 2072959080, 1923346756, 1384870243, 2097250024, 1189184778, 1190536472, 1332472965, 1266788465, 1393651939, 1261324505, 1135272029, 1504737864, 1270138956, 1415411622, 1409644542, 1432737433, 1026203351, 1316433290, 1463358663, 1127473356, 2098575637, 1920169587, 1175724565, 1387943608, 2077786074, 2012140523, 1041807902, 1606859726, 1990259369, 1870318448, 1973309845, 1978774013, 1405401046, 1340238833, 1866378029, 1531903837, 1970082165, 1579653694, 1773096374, 1554929844, 1200980879, 1405065124, 2120260220, 1737786293, 1802055499, 1944983500, 1777716691, 1136494484, 1122674368, 1918883444, 1613947929, 1560017104, 1618306139, 2097748263, 1047411294, 1688256656, 1944926172, 1507769837, 1234587043, 1174831664, 1775701486, 1639597441, 1699422583, 1242402355, 1585961657, 1664411403, 1697849712, 1626875068, 1705099753, 1779764828, 2093676672, 1431851284, 1430507790, 1925944965, 2092611816, 1737900997, 1786383919, 1782206048, 1656383204, 1800015656, 1491795080, 1735336717, 1034467790, 1510596193, 1140221854, 1918924296, 1584986641, 1105380744, 1918596656, 2027109564, 1406597049, 1625998490, 1420243159, 1420030165, 1283991806, 1537015780, 1353446611, 1802612490, 2045812109, 1225272693, 1773170126, 1782066874, 1098270197, 2082576551, 1124648846, 1040743054, 1316678396, 2057322023, 1066654491, 1205396304, 1004576618, 1297787345, 1724482114, 1342239884, 1980871325, 1887949834, 1363834309, 1587411469, 1661962143, 2091563067, 1429090743, 2068045784, 1685348586, 1033672963, 1509088593, 1246932725, 1078052073, 1147986113, 1704411449, 1577245360, 1277364374, 1319414290, 1230990823, 2093602934, 1848871667, 1571993975, 1824679940, 1565301131, 1471394676, 1616503953, 1854401099, 1834084764, 2061762093, 1802071993, 1376614110, 1768017333, 1442754858, 1326238681, 1371444585, 1428402683, 1835772336, 1624843266, 1811762977, 1548212378, 1213164690, 1552390234, 2082060487, 1534386091, 1959596050, 1341991709, 1372435757, 1972687221, 1324272143, 2046098709, 1498807732, 1245204191, 1153073245, 1985942198, 1594792935, 2057092720, 1133586300, 1614800082, 1020811317, 1352807500, 1739260741, 2074296141, 1806233415, 1758563390, 1024227836, 1463661518, 1471615811, 2082855122, 1473704737, 1174840060, 1583946386, 1594505736, 1194975802, 2003014246, 1988744079, 1933432379, 1435316357, 1573247183, 1769131132, 1293002753, 1723016098, 1281829238, 1796574726, 1952436555, 1685586285, 1535663774, 1802604134, 1072937707, 1374885099, 1663952439, 1710391528, 1751838064, 2073558669, 1311804202, 1055939563, 1273483004, 1780707128, 1133274768, 1950789976, 2138200685, 1792905154, 2147465951, 1983271702, 1845209307, 1342944552, 1985672063, 2058928018, 1351792057, 1279060241, 1796329022, 2136316516, 1589836787, 1955983783, 1308477641, 1316342592, 1015110071, 1003994849, 1814669599, 1679057187, 1154114034, 2022243761, 1433751625, 1047935819, 1183949778, 1257099173, 1764559972, 1561925714, 1985934098, 1575188654, 1922340825, 1527578205, 1092879477, 2104588322, 1471116028, 1182401324, 1817962764, 2005930697, 1404851941, 1067473658, 1096467457, 1184269261, 1183736789, 1252749303, 1989751748, 1449145151, 1546189128, 1104397490, 1983664990, 1077339476, 1979551902, 1587936193, 1742013105, 2035727410, 1203815077, 1137862324, 2099009659, 1364440120, 1519034342, 1486413301, 2031369338, 1632470051, 1007278457, 1598503475, 1558346135, 1755770335, 1860307865, 1202905807, 1149813001, 1100768285, 1608260189, 2023111956, 1926043470, 1040882569, 2089040128, 1502305294, 2125568823, 1998983840, 2056584989, 1703927813, 1189790561, 1571117097, 1919260649, 1843284050, 1610696079, 1543192181, 1349547488, 1283467537, 1651967974, 1813735822, 1901335746, 1797484213, 1326312090, 1517707233, 1776561277, 1271344733, 1114138611, 1877813873, 2134866595, 1380661206, 1233775636, 1510006685, 1981649795, 1362236563, 1910158456, 1138820676, 1452241703, 1481997821, 1508277324, 1134421553, 1723122457, 1800433406, 1366701255, 1490156899, 1913280441, 1069816439, 2092628239, 2139839036, 1736286922, 1554741523, 2070888151, 1449948116, 1858587518, 1028520179, 1753738566, 1006664130, 1527103170, 1694253365, 1274236473, 1795395278, 1238912023, 1909404703, 1346885014, 1282574752, 1750224256, 1170309138, 1760111933, 1816988058, 1551579555, 1409389016, 1334200925, 2092374378, 1191887572, 2017000934, 1237683226, 1962037521, 1185489741, 1899500764, 1921480544, 1360016631, 1772514382, 1033959497, 1405343274, 1728078570, 1464062633, 1245867951, 2032196816, 1055849246, 1924601669, 1299392646, 1890858306, 1716093875, 1131521399, 1278388789, 1737810333, 1478966829, 1167631252, 1089758968, 1065892229, 1241656333, 1815669289, 1191289106, 1183187093, 1434653590, 2038980510, 1739112894, 1610611176, 2135374160, 1838418819, 1171276744, 1379136553, 2043994057, 1167623046, 1173832680, 2092014254, 2055117918, 1491672776, 1565629296, 1780436028, 1079780984, 1486241471, 2127509734, 1418957498, 1338149352, 2056191141, 1954788015, 1303071643, 1895823054, 1697915654, 1627358925, 1234481057, 2060123376, 1749118586, 1297165165, 1352734365, 1920201778, 1539259901, 1750339089, 1543699012, 1095403277, 1232932661, 1763020636, 1395692923, 1826286225, 1337747954, 1004256660, 2107685873, 1832119136, 1779108959, 1826917043, 1514380313, 1942566290, 1946907222, 1417220644, 1348154885, 1469174257, 1535966702, 1137640877, 1638975443, 2050358353, 1031551768, 1752362519, 1132152094, 1779264618, 1223159438, 1532214585, 1341761939, 1027898152, 2118670392, 1785416730, 1572264898, 1365145387, 1670555112, 1018370767, 1327982939, 1179115576, 1616840411, 1346205368, 1838754591, 1848010913, 1232097275, 2116761760, 1295043516, 2119866583, 1927173200, 1124738458, 1797803448, 1420628540, 1960178241, 1609218428, 2121324775, 1156244082, 1468887319, 1372583764, 1924150318, 1649190099, 1231425529, 1620280883, 1964807103, 1152270861, 1135281423, 1786670299, 1299934173, 1891595800, 2052611327, 1814301324, 1158366114, 1573608289, 1888384548, 1538784540, 1354520087, 1243024572, 1891259914, 1940763933, 1638393622, 1878010178, 1412436614, 1547786998, 1303587595, 1454772239, 2004595138, 1038424923, 1582782696, 1127695752, 1419432539, 1731445232, 1852418220, 1583667373, 1259580889, 1861519417, 1551588021, 1030839230, 1018174049, 1181491389, 1982394620, 1765478381, 1932391930, 2053602495, 1447202971, 1937364391, 1287146087, 1393931761, 1475178760, 1255828543, 2130663449, 1431114667, 1417646743, 1057462766, 1657537574, 2106981246, 1842654011, 1173570305, 1748029123, 1487781465, 1703388019, 1060714956, 1805520228, 1947603693, 1166001025, 1265003928, 1205862686, 1856620969, 1472458944, 1838394007, 1235013272, 1729445907, 1625901038, 1145398092, 1093289507, 1761578997, 1801268310, 1330088012, 1875077320, 1165877873, 1342715654, 1822657452, 1167835796, 1436267147, 1606072488, 2066127920, 1411855153, 2126346663, 1804463255, 1130882172, 1170031265, 2103204418, 1422095324, 1699897970, 1505705629, 1333307483, 1050753410, 1505877733, 1204461805, 1160036876, 1127433247, 2007707782, 2084764527, 2045353671, 1861822935, 1543216331, 1046985046, 1033362085, 1515584871, 1394635795, 1589664243, 1567693381, 2009837822, 1016183719, 1594292287, 1117971864, 1196638319, 1528200234, 1709392606, 1971860149, 1465471001, 1797459042, 1868204059, 1418335179, 1541487781, 1330022403, 1497423366, 1243073872, 1219694587, 1261644923, 1421849590, 1152222177, 1827072938, 1450012963, 2144188546, 1716117766, 1403753700, 1521819109, 1747898238, 1814203252, 1238404743, 2100402792, 1813580610, 1626875811, 1906579192, 1134380225, 1535720661, 1894668211, 1689887719, 1637721795, 1302473468, 1167483638, 1388033498, 1895847522, 1386198520, 1350801387, 1979847016, 1161036378, 2137602054, 1026169413, 1930646652, 2048261476, 1178100043, 1934857254, 1854843387, 1432187434, 1719378188, 2101312071, 1064499210, 1743691922, 2070445076, 1913320822, 1125966947, 1043216812, 1069512763, 1038088794, 1852131821, 1634518757, 1770376719, 1118332195, 1511996817, 1945957491, 2101934810, 1545509764, 2018140113, 1082418968, 1826794365, 1029118664, 1773678105, 2066799762, 1233227299, 1493073757, 1756991261, 1505467933, 1584134593, 1122501958, 1412797338, 1021156205, 1372485243, 1078896630, 2121136599, 1156342615, 1531223289, 1199890490, 1341966396, 1426485957, 1827506990, 1142424539, 2023366489, 1143096294, 1816996747, 1829006028, 2030477006, 1722900856, 1134150739, 1653917022, 1109853676, 1928090919, 2015485934, 1806183544, 1268436042, 1306143243, 1320397153, 1754443590, 1474564156, 1799032034, 2092424045, 1502207573, 1143628788, 1143088066, 1010129877, 1274678298, 1831611084, 1023105816, 1562819269, 1379816922, 1546320844, 1447276971, 1982804421, 1299925648, 1941304409, 1828653842, 1039645210, 1116996987, 1657275687, 1642735131, 1844079128, 1474506775, 2065669353, 1047763332, 1174872575, 1412420566, 1807805499, 1815808964, 1331316570, 1231831406, 1978826225, 1339164629, 1676544999, 1318856342, 1082484879, 1089284326, 1044100662, 1815741492, 1330562880, 1962720492, 1686563990, 2048545291, 1387920040, 1997184793, 1882609701, 1929427732, 1190416097, 1496650029, 1140296687, 1147235449, 1899395373, 1223770350, 1538347925, 1777746386, 1263985520, 1549546614, 2113050072, 1666624381, 1775018464, 1923930753, 1092856078, 1625008373, 1969094002, 1540420607, 1881151504, 1286202521, 2077086718, 1273816031, 2121922124, 2131154736, 1083410601, 2055705274, 1029379429, 1666968420, 1682131971, 2135234311, 1454423794, 1682549770, 1870227260, 1590580872, 1266279230, 2045063597, 1722412769, 1556665473, 1456578202, 1932860281, 1607636895, 1004499858, 1302242771, 1675086745, 1282810936, 2102957335, 1282032699, 2038682065, 1544959044, 1585174056, 2125141759, 1058010971, 1824703636, 1862682462, 1759822015, 2110297491, 1056716449, 1513026160, 2047865425, 1358649508, 1395194696, 2090628345, 1738584008, 1551053849, 1323435657, 1250525925, 1967381807, 1143237705, 2133481284, 1897707884, 1054709420, 1033024995, 1532334880, 1439325628, 1506644411, 2015940702, 1147481119, 1521021650, 1348261920, 2105644540, 1798628171, 1453301276, 1572205878, 1142181015, 1412791473, 1464786889, 1089661054, 1079003328, 1849034407, 1980792449, 1142172807, 1409727632, 1851819768, 2141206328, 1117276674, 1426226585, 1725976187, 1556747345, 1575400824, 1131260914, 1026987414, 1738592001, 1089431630, 1396284314, 2067608472, 1442389343, 1846863539, 1295877525, 1785021132, 1892759672, 1352636468, 1812178092, 1455128084, 1793540680, 1586263587, 1451974203, 1020900458, 1693600838, 2103629269, 1067636501, 1421745156, 1359854007, 1233994033, 1901517291, 1186901630, 1528959974, 1038570785, 1026799093, 1655515755, 1852090029, 1251639891, 1206472486, 1467998123, 1888376922, 1943051014, 1161719273, 1804460885, 1519325781, 1898740215, 1901386123, 2041286991, 1994341947, 1148259476, 1344895180, 1988255333, 1697975762, 1309796089, 1282360455, 1363286442, 1083189369, 1810416385, 1432591753, 1705839937, 1861428766, 2115385083, 1634232709, 2079765272, 1699745214, 1723174490, 2096755720, 1590335035, 1388427826, 1804780385, 1402084198, 1520988765, 1313105586, 1698532811, 1895184398, 1649715885, 1085712458, 1803944582, 1991892923, 1002607297, 1066522258, 1297146964, 2001919575, 1119366079, 1687907740, 1295320114, 1177235235, 1580300088, 1514771267, 1535406734, 1679854890, 2089833883, 1068996284, 1704651921, 1434852491, 1503359115, 1020687815, 2063340527, 1038193906, 1594373660, 1352817078, 1227333682, 1420402108, 1636116627, 1081944427, 1219445176, 2010898114, 2058875822, 1701276797, 1448656706, 1212612956, 1740418727, 1217986951, 1212080416, 1195240994, 1428012092, 1195044379, 1881520388, 1757127065, 1053063136, 1897470015, 1511797562, 1194364438, 2069672565, 1086548456, 2006752945, 2019479923, 2016997655, 1667181168, 1435172027, 1800200829, 2095437268, 1237336305, 2012856011, 1832510475, 1829782564, 2061333481, 1107553077, 1326868000, 1103259892, 1872938650, 2092864902, 1921211321, 1305806063, 1906235557, 1705405595, 2089129403, 1283548606, 2062201813, 1983061878, 1906809057, 1346967811, 2126903183, 2005556929, 1419607504, 1689292286, 1779917656, 1714859897, 1894046132, 2027401606, 1307600034, 1054029697, 1247871795, 1081616683, 2008039140, 1716571909, 1820902866, 1560400987, 1380268827, 1743670926, 1759945092, 2051167009, 1441684621, 1607702197, 1449066296, 1465777716, 2065936968, 2080380270, 1884502306, 1988747259, 2035945513, 2043785378, 1911175326, 1270260418, 1617250577, 2048537455, 1796907631, 1200271089, 1978924175, 1174794104, 1911576718, 1970527475, 1129704144, 1180512213, 2029810032, 1196437187, 1957059890, 2013688211, 2091955493, 1000952369, 1818609151, 1402296840, 1735577327, 1463582370, 1458610031, 1348172283, 1967865066, 1837278246, 1525879639, 1378179968, 1465466620, 1316382686, 1913322403, 1620420927, 2090956047, 1340581463, 2135193334, 2132465325, 1769783499, 1578104759, 1070937710, 1242440629, 1512453017, 1650609057, 1408023087, 1109232606, 2055713602, 1325541061, 1312704502, 1298392235, 1211032038, 1864361685, 1395497702, 1451835204, 1230373017, 1168837732, 1445003247, 1182936914, 1212047853, 1192505027, 1454571365, 1238376456, 2082190786, 1003008530, 1429175540, 1254597403, 1119005551, 2088678819, 1284113748, 1645022163, 2140755577, 2102547635, 1002459681, 1452015464, 1018615122, 1116646251, 1998700232, 1544951292, 1373149235, 1613203915, 1961172233, 2124117877, 1665485495, 1754399078, 1262969522, 1781375960, 1990770527, 1065997936, 1641334829, 1353046367, 2062422805, 2139977329, 1357740305, 1460756204, 2061087527, 2114696203, 1020049102, 1030207332, 1280411218, 1276274198, 1732947278, 2118145092, 1060042026, 1692880611, 1225220865, 1889098398, 1240261604, 1505817551, 1853506677, 1874748846, 1459182824, 1053734108, 1006638611, 1850238043, 1741532633, 1372117981, 1226130179, 1368013714, 2132800773, 2008505772, 1145523802, 1287808733, 1162391383, 1615243877, 1392695590, 1585091679, 1394694404, 1741778423, 1252114566, 1824548583, 1374575558, 1506292704, 1340827074, 1774420968, 1813620277, 1181994078, 1724943614, 1812342313, 1215939145, 2059849972, 1280288380, 1514475633, 1758601959, 1055782104, 1432911710, 1262780787, 2098214696, 1257029845, 1457347812, 1288595191, 2122642621, 1405180410, 1425792711, 1228620551, 1760199383, 2097518401, 1310532699, 1808482701, 1053398158, 1185123560, 1888418501, 1526026425, 1848657022, 1528836467, 1098459946, 1001173498, 2097084070, 1144491629, 1761542821, 1555289837, 1855456455, 1323754630, 1607087529, 1517645853, 1989491964, 1307248512, 1711852643, 1072158091, 1560106641, 1942239656, 1718561793, 1745683043, 1313309737, 1408326046, 1966505817, 1205767601, 1418084073, 1901533988, 2115261538, 1374935940, 1740672439, 2027090602, 1721773273, 1918973976, 1714703437, 1898060633, 1172975510, 1487688400, 1956994776, 1562474332, 1988369658, 1097345815, 1692839577, 1404180941, 1295239091, 1067013401, 1546417837, 1205620062, 1977384798, 1382586604, 1788796951, 1048392948, 1564776392, 2106087173, 1216070389, 1300735765, 1138248010, 1025398665, 1251188740, 1863517579, 1476197734, 1796546952, 1991670824, 1953693394, 1640524649, 1894652495, 1752785624, 1922062385, 1857373207, 1375583071, 2026230368, 1098181586, 2049233027, 1150602813, 1446821014, 1348246257, 1908464493, 1167208255, 1744162139, 2141435149, 1353980421, 2015613586, 1128819194, 1515761899, 1603835181, 1588343835, 1610200398, 1681272462, 1198124499, 2044154731, 1645185203, 2128704604, 1316693190, 1379555461, 1061131648, 1962204726, 1966399473, 1812539087, 1924520051, 1717955757, 1276348127, 1851368596, 1382963361, 1836836788, 1633266569, 2051018897, 1502884674, 1173139252, 1185270911, 1168224122, 1041970368, 1149988438, 1361140734, 1789624394, 1174064920, 1589785633, 1022359051, 1058797052, 2067526099, 1656260690, 1492767251, 1472953633, 2131334627, 2102777791, 1762575330, 1094216660, 2013125907, 1666828727, 1442864366, 1752040094, 1638017875, 1013970590, 1839785818, 1289807378, 2038559603, 1785962629, 1034188636, 1550055067, 1147555487, 1312433344, 1268146540, 1402141039, 1058461163, 1069946168, 1244193064, 1443626248, 1635355258, 1244799281, 1876026582, 1957175200, 1771520669, 1910758120, 1585485197, 1033664146, 1963351573, 1451171178, 1539821777, 1200196752, 1000337541, 1425104877, 1690865620, 1944041667, 2140058771, 2111403716, 1315546486, 1606268060, 1029699198, 2147382495, 1171369719, 1001754770, 1606112407, 1807794413, 1757930473, 1850107240, 1117317545, 1932548097, 1080879961, 1407473875, 1507881688, 1998617624, 1503736472, 1857504654, 1347197813, 1626328020, 1984748912, 2060112372, 1213883237, 1251041710, 1305503471, 1376500043, 1820346304, 2142811388, 1050498520, 2007317728, 1077717881, 2128008592, 2115482961, 1882479480, 2088892367, 1909750404, 1895029666, 1956339658, 1219396604, 1469226186, 1692848060, 1325442139, 1143263096, 1247928636, 1069798558, 1211614056, 2137101374, 1705725643, 1796292721, 1191259232, 1465556024, 1260937291, 1492276118, 1056109974, 1445928267, 1217086446, 1582830909, 1788305905, 1600386052, 1750418237, 1805934796, 1661012073, 1097337345, 1568593431, 1049146852, 1556682660, 2117039426, 1724927392, 2060022203, 1624165307, 1458568601, 1943156901, 1546368851, 2028041113, 1267097855, 2133996622, 1392531585, 1002549316, 1234936349, 1484379134, 2094126934, 1138894956, 1079536599, 1198681314, 1453423921, 1074686876, 1080216561, 1471175717, 2046800490, 1198738661, 2129646964, 1214071750, 1299113717, 1662208140, 1828685663, 1292707500, 1852507599, 1507512959, 1871299630, 1436982799, 1756930835, 2026132330, 1651698141, 1899780755, 1039603269, 1765139079, 2125092120, 1535635508, 2001108213, 1399552216, 1030321884, 2100647552, 1289291631, 1155927889, 1663338652, 1769677511, 1006022731, 2032882324, 1835959982, 1751262113, 1964170961, 1188433182, 1355905819, 1469176922, 1514353039, 1378154984, 1063539881, 2072170572, 1453415795, 1375861203, 1143599098, 1648388501, 1634273980, 1230619264, 2053190075, 2000231650, 1351392087, 1648675224, 1255399693, 1516040636, 1753383778, 1706970716, 1074752492, 1534668954, 1452481909, 1089252101, 1281288117, 1422384939, 1454947669, 1131563167, 1591088440, 1852147093, 1534267523, 1100737131, 1193372884, 1976679977, 1742736408, 1273053211, 1521316183, 1137305652, 1669810297, 1678911507, 1476279293, 1014009976, 1533523817, 1470241714, 1514976860, 1239295438, 1327342351, 1582297693, 1228154150, 1201736627, 1638444475, 1840226748, 1477743616, 1823228089, 1179683397, 1057903384, 1599517505, 1186949800, 1039716832, 1640525265, 1605596073, 1022079216, 2038838683, 1461017355, 1991301807, 1336099715, 1536710585, 1230284150, 1282367565, 1609888727, 1455536866, 1454815893, 1211515932, 1988917927, 2074613635, 1611484198, 1370643865, 1276477497, 1451539114, 1462737665, 1781835264, 1535178676, 1228489997, 2101809521, 1305772524, 1512109596, 1263363955, 1421449350, 1675358180, 1513223694, 1237894536, 1783399948, 1995070123, 1034023395, 1034007013, 1782171261, 1517295157, 1810368429, 1803511610, 2077456277, 1765983493, 1574498705, 1484395574, 1085541624, 1427085634, 1058141023, 1449835045, 1583542834, 1163348230, 1298833721, 1451899614, 1414715397, 2026509456, 1968470280, 2114245209, 1839342079, 1785415179, 1416149001, 1863451504, 1988303585, 1765573982, 1770259943, 1499559175, 1990425291, 1475754911, 2011446158, 1049244390, 1482667059, 1065604083, 1728457590, 1503933911, 1289978006, 1803454219, 1058575214, 1263437622, 1162635572, 1513387596, 1635003661, 1664110410, 1485772019, 2014082161, 1429420365, 1609634672, 1211876542, 1923096102, 1805035280, 1776665967, 1103383886, 1751565546, 1559908469, 1065235441, 1876976495, 1591448139, 2074875709, 1287340074, 1363312083, 1810458491, 1157089380, 1488344099, 1622674478, 1745953927, 1559433316, 1677430627, 1946441884, 1110306484, 1013469426, 1534810087, 1650896580, 1213891833, 1801619399, 1878827865, 1399300034, 1189710403, 1874879342, 1748116611, 1021022312, 1344937118, 1786521288, 1304453493, 1403313938, 1127501698, 1379696267, 2081099955, 2077529964, 1291165772, 1290010718, 1147521241, 1174973110, 1774282110, 1250821708, 2012977977, 1393975251, 1304797440, 1584247466, 1080970406, 1461877736, 1385020992, 1204824861, 1212744839, 1085033570, 1961523259, 1369759088, 1443338963, 1945132837, 1146718348, 1264584632, 2122830430, 1316430509, 1466514354, 2118169245, 1473919749, 1972787574, 1253844575, 1690904618, 2139132774, 1101106502, 1785939604, 1648365225, 1871356774, 1423448117, 1944018737, 1651666562, 1257039389, 1945591555, 1904926078, 1332568984, 1116278399, 1837564286, 2103603611, 1809819425, 1973295262, 1204120263, 1149290883, 2097713164, 1039290615, 1355505102, 1235428517, 1141278977, 1290265056, 1464662603, 1594610179, 1114812281, 2047858436, 1535202957, 1972484252, 1714703163, 1896152075, 1069003430, 1479030073, 1377320713, 1208788255, 1735928431, 1671532217, 1166985367, 2132488710, 1658597373, 1443674925, 1678133541, 1188228081, 1976957169, 1556828655, 2103963714, 1151371653, 1220953571, 1567764564, 1895988261, 1743456972, 1048032080, 1902533708, 2111877325, 1738656401, 1737435839, 1981545258, 1338385141, 2104463450, 1650282347, 2133955081, 1819730255, 1547505924, 1969854549, 1733454444, 1955715502, 1887567296, 1872773859, 1465096726, 1806059233, 1420196334, 1680550243, 1661054538, 1997118021, 1721191386, 1657130888, 1027395697, 1147685158, 1275486536, 1425807784, 2123297750, 1778779997, 1308926808, 1722698738, 1025486913, 1033515258, 1346493731, 1796318837, 1660129175, 1250199521, 2033661021, 1785652996, 1182403344, 2067961390, 1101221069, 1512413012, 1575350416, 2143015630, 1085058521, 1822917085, 1398373927, 2122658811, 1680034141, 1289757087, 1855783906, 1149339905, 1478063512, 1793386341, 1662725785, 1988492039, 1242605459, 1464457930, 1794705274, 2102636757, 1116237583, 1775674462, 2091725093, 1025388693, 1624132933, 1289740626, 1866900171, 1994464110, 1695975558, 1322599236, 1295990957, 1128533712, 1861149562, 1024413851, 1703864346, 1321730909, 1681394080, 1963268252, 1618824679, 2127778633, 1014125038, 1571811343, 1299325142, 1633987777, 2092798232, 1606799981, 1591612279, 1796081312, 1848730498, 1775068282, 1364344042, 1031131337, 1441658963, 1347935720, 1880210862, 1533023904, 1277780457, 1444862943, 1912560701, 1113632674, 1704421459, 1148463539, 1742514708, 1068143202, 1985575825, 1926758170, 1457814314, 1113436051, 1653256005, 1425537317, 1986624442, 1961908515, 2062841634, 1515812738, 1700423815, 2040247365, 1799595683, 1159276798, 1411258873, 1633889412, 2079708701, 1598534318, 1109151730, 1080315274, 1602998885, 1071993364, 1010135494, 1243154410, 1325024009, 1225639161, 1868317353, 1466907289, 1976490038, 1146751398, 1329685181, 1278714312, 1931795748, 1745184261, 1182214262, 1468127621, 1967209284, 1660013821, 1021014742, 2053960828, 1604129165, 1086795479, 1059975481, 1318502528, 1687579264, 1766344543, 1570755461, 1235281853, 1581273186, 1398300026, 1322868986, 1368522677, 1208043047, 1747256835, 1109273657, 1439235040, 1331126654, 1786029149, 1365630799, 1447655523, 2072769959, 1330119035, 1920564300, 1944665567, 1513436163, 1678404157, 1720936619, 1397144959, 1571124124, 1399823702, 1216767676, 1326080305, 1959213817, 1411463710, 1435974568, 1452554452, 1649511440, 2000271738, 1256768686, 1376148544, 1787266253, 1724221577, 1835860768, 1374330791, 1336254952, 2076382605, 1708125056, 1554256619, 1098469174, 1981872240, 1840538597, 1105792957, 1103753117, 1517311013, 1549619717, 1881661055, 1299890976, 2021635618, 2127442065, 1721051381, 1078062627, 1725024435, 1530754398, 2121371669, 1286070979, 1051537605, 1064546586, 1136717226, 1565176615, 1459378321, 1851547699, 1152223966, 1844855685, 1618431488, 1386265816, 1354817211, 1512232031, 1010045515, 1066463504, 1196091850, 1927601255, 1930845587, 1577144452, 1941839160, 1971739406, 1211262651, 2137043433, 1954961935, 1043984565, 1147685605, 1858887745, 1699818463, 1965095854, 1036587847, 1429592997, 1998248330, 1077890731, 1859510338, 1534997993, 1975352100, 1877393788, 1710852965, 1197271491, 1694124634, 1792312437, 2093249125, 1618251479, 1405377890, 1138257264, 1403821317, 1520030770, 1234691899, 2057769994, 1016443428, 1218471441, 1184278564, 1524962391, 1146448614, 1735739846, 1822343722, 1841103627, 1378376862, 1011503869, 1886781122, 1790149642, 2021037775, 1112296694, 1588768776, 1026913166, 1928207445, 1371709310, 1904033728, 1328742798, 1561998247, 2111714144, 1786963004, 1091809196, 1788863583, 1020736023, 1052708990, 1309573319, 1649691806, 1414208129, 1816470152, 1806476641, 1192143296, 1464850847, 1985017986, 1946499798, 1095643037, 1142442699, 1762273246, 1578021083, 1767262080, 1182288032, 1251116104, 1070625034, 1485608535, 1092177861, 1902124990, 1118399565, 1732233691, 1770792809, 1260594635, 1510839521, 1313177769, 1916558546, 1388010581, 1867760061, 1125690871, 1513583810, 1583018159, 1953151644, 1447229627, 1682410174, 2043770669, 1433893768, 1484142455, 1053512137, 1220986820, 1505416895, 1958976453, 1418640264, 1992473032, 1125870608, 1852957050, 1336942779, 1340547305, 1095552579, 1032139412, 2078643441, 2030360083, 1238640323, 1584779618, 1781933345, 2001483860, 1988426140, 1457723897, 1288643541, 1663790133, 1196206184, 1626460116, 2143858912, 1454078339, 2018555769, 1156254658, 1606193296, 2111017726, 2043713277, 1710656219, 1868914763, 1485436838, 1022514114, 1906572947, 1017426839, 1329561612, 1477564201, 1173129941, 1749903220, 1970608714, 1881169760, 1809073301, 1904737990, 1789822447, 1558516640, 1273652390, 1136405745, 1847828845, 1208403798, 1683516169, 1304101609, 1448892687, 1847681394, 1925029358, 1077309285, 2127155613, 1649937677, 1767261697, 1306198668, 1020449674, 1853178158, 2081911628, 1071206533, 1134300353, 1357766579, 1667746822, 2094142390, 1624182696, 1005900956, 2020792090, 1539445931, 1033425650, 1482348337, 1808262314, 2039420640, 1078505275, 2041689797, 1522185677, 1914322274, 1070461111, 2072294648, 1474140323, 1166060032, 1776821865, 1980332424, 1998330013, 1814135712, 2032719530, 1123560827, 1874927685, 1835795178, 1262716106, 1565086403, 2134519985, 1288766298, 2143367245, 1584583166, 1865810107, 1361591974, 1310548370, 2068804831, 1613303737, 2035775175, 1024160410, 1218529072, 1334312989, 1543934865, 1830453901, 1629228676, 1212344283, 1425759073, 1677945757, 1923382587, 1083600693, 1297310455, 1130835137, 1047851474, 1169000964, 2136625395, 1986009546, 1811850324, 1725368701, 1543558060, 1969126130, 1934982395, 1403862019, 1122413896, 1066258466, 1775216255, 1645825450, 1851761131, 1289143138, 1357135697, 2039313976, 1235625489, 1454479625, 1635561157, 1675127832, 1979128375, 1465358485, 1172630055, 1378696681, 1784128914, 1000952943, 1544147918, 1676495910, 1607405572, 1508939326, 2088743854, 1747920894, 1654164811, 1619005268, 1216857939, 1539978268, 2098524867, 1299907234, 1069789209, 1991457133, 1655319925, 1110691282, 1989548404, 1170827821, 2010052649, 1947163616, 2084836267, 1096044196, 1222076199, 2021627790, 1976449596, 2138271872, 1730939098, 1215743886, 2127974698, 1145705546, 2058955448, 2142326706, 2028783855, 1771141525, 1421288627, 1709929966, 1323294425, 1766136131, 1816370244, 1399030639, 2004379508, 1355235531, 1009069099, 1720489602, 2073504647, 1237424592, 1209333765, 1583992440, 1673032617, 1117794994, 1892270299, 2045938145, 1092833590, 1522633431, 1361822013, 1470154679, 1124496145, 1812626461, 2139074407, 1095676246, 2012219369, 2136985413, 1557834944, 1172829691, 1459914521, 1963607338, 1533430598, 1003867124, 2022475950, 1769306450, 1577823777, 1451902630, 1357144276, 2099490067, 1321991928, 1589104258, 1796021051, 1878130631, 1813650477, 1280253045, 1471383439, 1189549787, 1896227131, 1922900643, 1564634492, 2105298243, 1500047703, 1225177414, 2046192054, 1241283006, 1734940461, 1154389128, 1325096636, 1849179775, 1256053402, 1561406806, 1538624506, 1225963846, 1102139877, 1126732670, 2134552428, 1832050020, 1949156475, 1036078489, 1689580782, 1962460323, 1617440821, 1733310258, 1300340194, 1915462222, 1402725373, 1738004464, 1743443842, 1309949564, 1856364237, 1659802245, 1227348300, 1284488419, 2021869806, 1095954748, 1774672296, 1612361845, 1562275180, 1943364519, 1161098567, 1605046232, 1232230660, 1653961443, 1182275086, 1578610272, 1729943396, 2144071602, 1912627834, 1529842514, 2115505766, 1854439159, 1413997763, 1758771281, 1138594650, 1265777653, 1181013731, 1454966320, 1096348114, 1057591171, 1577578125, 1700951529, 2062289511, 1359659393, 1556802628, 1617064172, 1248393959, 1067880233, 1519299097, 1740773210, 1999415220, 1600442364, 1771157769, 1153504344, 1478322310, 1411810491, 1269553974, 1987864290, 1427056016, 1951327470, 1673982822, 2137829324, 1063915464, 1218697216, 1649627888, 1341800281, 2091830283, 1767602684, 2137034697, 1134424886, 1075007679, 1422312554, 1090802090, 1351827517, 1298439626, 2023696432, 1790220827, 1842240894, 1413784823, 1277140135, 1031744967, 1322442347, 1293073837, 1168872811, 1646318304, 1046597280, 1560218686, 1397285769, 1775835416, 1821842516, 1665061881, 1022536762, 1635725747, 1513515769, 1605701498, 1760942117, 1719850578, 1435739458, 1405199123, 1668903850, 1428399600, 1073647401, 1471473507, 1767758218, 1758025745, 1785797289, 1098740135, 1302183238, 1123201582, 1121096207, 2070186938, 1533537208, 1045974663, 1862147614, 1588784723, 1662153712, 1375633693, 1065783139, 1252375107, 1389765168, 1501022622, 1555852374, 1649996466, 1963517410, 1297595836, 1971176848, 1663652807, 2020485276, 1763744211, 1519028857, 1797389269, 1862795249, 1922007672, 1845739257, 1014418572, 1868988317, 1441916173, 1361100832, 1572588731, 1506584782, 1328930353, 1056657394, 1747360042, 1727371256, 1261632063, 1019596245, 1200518812, 1135088314, 1760827878, 1311268667, 1822449076, 1242708743, 2044594376, 1436288133, 1482647874, 1023994902, 2019535230, 1814740235, 1040699170, 1853824855, 1019620847, 1384612782, 1790819220, 1774270698, 1941807763, 1040157905, 1600867909, 1859117025, 2074151569, 1049571261, 1106211035, 1630236702, 1600474706, 1759975903, 1464313470, 1149343162, 2081959204, 1423631846, 1895653824, 1955653037, 1015319994, 1333173833, 1749301508, 1417127223, 1535322817, 1861525431, 1188312977, 1276919124, 1396204144, 1709528238, 1167873234, 2003617341, 1054576521, 1292418139, 1059892856, 1182881749, 1116124126, 1981564736, 1712011094, 1655845868, 1734137346, 1278819686, 1735333391, 1311244101, 1442965347, 2126434265, 1757125074, 1870683882, 1145361710, 1689310682, 1302273267, 1380827937, 1316978450, 1371062486, 1494059107, 2133651011, 1564552238, 1081372932, 1013312788, 1017916895, 1668895242, 1289264555, 2068220466, 1473119929, 1921262588, 2045159583, 1739708106, 1437451472, 1866022585, 2058521395, 1146688984, 1442940803, 1523821393, 1161696445, 1416422888, 1194358452, 1996564101, 1360543900, 1057517196, 1370865715, 2118881219, 1089229158, 1833524418, 2008671797, 1869373153, 1821883655, 1950533072, 1663980220, 1600769786, 1955071260, 1976214622, 1770067988, 1266170606, 2126212898, 2041317431, 2143161890, 1149744411, 1838267405, 1855995710, 1673417244, 1851588606, 1307884631, 2017700326, 1242053549, 1889403193, 1973150769, 1716615167, 1514376172, 1120285558, 1810061905, 1435370557, 1302928413, 1842330747, 1975133199, 1659564895, 1569434685, 1556835699, 2028267869, 1513499533, 1785527255, 1641418859, 1977476192, 1505921026, 1503873121, 1257470769, 1397416584, 1760655666, 1481787798, 1269037670, 1576094776, 1651299237, 1929495240, 1439613959, 2059029366, 1253145468, 1506387972, 2057890662, 1798519548, 1394311883, 1645532100, 1229289620, 1260272332, 1945059899, 1825152286, 2034174184, 1751587248, 1664094951, 1159247041, 1009266165, 1390838587, 1951581580, 2034149600, 1665921705, 1486875002, 1767831736, 1916789721, 1084870978, 1128059607, 1727493916, 1067175540, 1245338571, 1482885527, 1311875015, 1103876156, 1621995861, 2024802632, 1572187212, 2039908458, 2119045043, 2058914630, 1188714277, 1176475616, 2128751843, 2076551620, 1852750957, 2080812546, 1711379463, 2043096015, 1434568584, 1935556946, 1034997692, 2136812881, 1127534904, 1064873333, 1762081546, 1048513649, 2018208324, 1684878973, 1036808157, 1738249609, 1749981786, 1051626683, 2130382061, 2130767126, 1082552988, 1720997006, 1417143914, 2055407774, 1582312526, 1395712303, 1234008978, 1724634324, 1527384362, 1753782952, 1486236341, 1870888357, 1653207214, 1091605303, 1725175027, 1636832184, 2089463456, 2078820803, 2072799648, 1590414566, 1427842859, 1903764297, 1025175337, 1308155852, 1195619702, 1847229484, 1873911177, 2135895414, 1639723910, 1060015380, 1414129266, 1241708604, 1912700990, 1609379245, 1321442434, 1854373057, 1146492433, 1038831532, 1500851006, 1864334675, 1751423529, 1650675756, 2112589732, 1281244689, 1653534940, 1051593981, 1725502605, 1975511018, 1507756936, 1378631796, 1077842534, 1109004355, 1609690539, 1432995635, 1569927112, 1876753799, 2051942421, 1602612697, 1300250589, 1468712407, 2012890522, 1594518891, 1482246715, 1412507219, 1239317437, 1552568044, 1102222292, 1989928189, 2004550941, 1991107786, 1187222692, 1091179366, 2070513945, 1695020918, 1380573240, 1632056117, 1058319714, 1446143045, 2065656166, 1296981812, 2039606255, 1720734959, 1541130587, 2073446679, 1493019260, 1008471710, 1344873130, 1893696090, 1371554633, 1282645752, 1395499427, 1304797002, 1294532538, 1922269191, 1419118083, 1092604810, 1154659908, 1398964725, 1172748158, 1889018369, 1728525725, 1274190191, 1535527192, 1534134766, 1434290146, 1034759949, 1370661649, 1480010388, 1329683941, 1982497933, 1091556264, 1273051464, 1760254529, 1390231671, 1876737398, 1375298389, 1123283039, 1439401831, 1823088135, 1359332278, 1481845472, 1430988799, 1534421441, 1139970372, 1850580219, 1089548870, 1346962165, 1469039923, 1981326502, 1304207107, 1563586547, 1032531785, 1087812117, 1314225302, 1800501650, 1219639921, 1009266412, 1890968176, 1905779537, 1598418307, 1037094679, 1644597441, 1019866625, 1875959064, 1637225311, 2084753032, 1068535165, 2025171579, 1598336406, 1422689816, 2054473890, 1688032837, 2052122760, 1967032294, 1944854836, 1190753316, 1476512479, 1482484354, 1733186961, 1476363551, 1628935158, 1322236973, 1299013518, 1060457936, 1630122956, 1514031318, 1708193593, 1066249572, 1905460092, 1233075087, 1130156461, 1787926624, 1038831385, 1330421183, 1092948944, 1419658854, 1436673881, 1269578068, 1702582147, 1394180576, 1949165271, 1039396617, 1367712632, 1697544147, 1003882709, 1962289141, 1139953911, 1059540001, 1107628291, 1466008678, 1400676469, 1259558938, 2031716882, 1079841622, 1246386501, 1352172424, 1966655016, 1796241410, 1417873296, 1599761486, 1300790941, 1728205845, 1979901211, 1949083446, 1562144257, 1247328581, 1267071131, 1497934423, 1475994854, 1647694101, 1209228082, 1646719239, 1239210749, 1992082846, 1892918263, 1451902382, 1236785810, 1669402788, 1964803643, 1691424760, 1327578122, 1052986856, 1237424877, 1075942156, 1144657685, 1584016730, 1598606457, 2016840452, 1699559039, 1337605257, 1341906126, 1943494882, 1283964850, 1169659521, 1599196262, 1505807096, 1262188547, 1254078853, 1143469852, 2039360181, 1350271808, 2018937706, 1503079081, 2119322988, 1129148429, 1613484907, 1907892986, 1686861768, 1354359802, 1874623743, 1140019383, 1798871164, 1592446382, 1664594033, 1696241244, 1348207387, 2067589238, 1185420770, 1867906078, 2054375736, 1265498150, 1221122950, 1648849175, 1394794608, 1325112751, 1814093685, 1416488763, 1042099531, 1925857693, 1429702255, 1636995786, 1964541506, 1272895621, 1351959499, 1869528113, 1681495910, 1388577188, 1327791173, 1866693666, 1225816690, 1535928558, 1319706058, 2129440143, 1402806523, 1402929401, 1528285297, 1545850692, 1587670470, 1009217358, 1276452732, 1789311439, 1583410441, 1383170331, 1868659725, 1448887601, 1817550648, 1423476661, 2055260654, 1363083855, 1434387979, 1087853474, 1508559516, 1784453419, 1223695240, 1923211736, 1777580686, 1009971120, 1692612454, 1745312641, 1624716127, 1371128368, 1726903651, 1967081137, 1754651419, 1356538699, 1769044707, 1451861276, 1988166932, 1016811278, 1903436521, 1064266994, 1209383818, 1823629074, 2023492412, 1572474395, 1557180275, 1628500659, 1960879942, 1740780645, 1643016777, 1127461018, 2005738535, 1647972759, 1032687139, 1605356545, 1842527869, 1059474580, 2145815635, 1206867034, 1114894789, 1329585289, 2042472971, 1869798602, 1643016790, 1991157011, 1477249968, 1187460474, 1412188140, 1056509243, 1100444245, 1192105165, 1898029797, 1159100115, 1951459224, 1374208545, 1209908182, 1308786127, 1425925939, 1361052400, 1089950501, 2099744499, 1580420585, 1906295364, 1121423627, 1258158368, 1567821485, 1584237965, 1893065524, 2124033400, 1955121003, 1024995067, 1339317297, 1568411289, 1555091286, 1865719004, 1045491128, 1401323630, 1275928548, 1723274590, 1817165733, 1509304861, 1359094505, 1403625541, 1038503434, 1028492960, 1005905945, 1174509036, 1351762812, 2090012541, 1056214276, 1481100215, 1148876682, 2145758231, 1004636178, 1624716068, 1326128380, 1744393217, 1093120735, 1106006548, 1699436210, 1189541151, 1925808437, 1156101909, 1712502252, 1069837371, 1254219459, 1543434237, 1043647024, 1886987389, 1828255997, 2121828990, 1940285344, 2101463369, 1691234503, 1664775987, 1133303686, 1416650876, 1826052312, 1406953420, 2096875759, 1051241148, 1843386825, 2139253659, 1860901622, 2090272905, 1974346160, 2068778863, 1750277235, 1899767069, 1456268015, 1580493335, 1096078705, 1646155323, 1364256118, 1050102463, 1771396543, 1359496482, 1565714809, 1042188850, 1931978506, 1986732635, 1353917571, 1017063598, 1814886430, 2083686401, 1560914237, 1283323979, 1707889146, 1620923563, 1876040677, 1680478226, 1040419384, 1045219959, 1420460182, 1443045950, 1769143631, 1063938901, 1456800404, 1527377739, 1243700836, 1991148264, 1434862016, 1638970871, 1599728414, 1014163514, 1480518772, 1147285545, 1470096339, 1145171981, 1999356774, 1476043701, 1551198246, 1871215579, 1909433754, 2056629955, 1955676358, 1552943306, 1904543199, 2044333441, 1730638715, 1871084507, 1664710502, 1957912787, 1445323329, 1321450149, 2100939103, 1558358154, 1506839995, 1942833062, 1217395966, 1537912798, 1170297270, 1019586738, 1748835397, 2074251226, 1823004880, 1406117814, 1712804462, 1234853345, 1200600052, 1812953204, 1063734041, 1504357844, 1870191609, 1575725423, 1230372305, 1181676267, 1578551952, 1401874184, 2037788158, 1633400275, 1790279228, 1866898381, 1233141004, 1438155062, 1023166572, 1957158967, 1058933644, 1177268920, 1789582911, 1403389744, 1747516592, 1878907750, 1099928852, 1979171179, 1802772456, 1213717707, 1018611754, 2118740695, 1178890970, 1907590419, 1989247539, 1873246977, 1970553308, 1101649153, 1393969084, 1290246219, 1218878473, 1573865824, 1298348492, 1518071498, 1038690650, 1627141199, 1021397077, 1050642984, 1465787369, 1516883678, 2111580517, 1668888514, 1695691183, 1150570537, 1578543784, 1318984225, 1214979243, 1018054766, 1408558902, 1225096647, 1860713002, 1587145306, 1102861688, 1119573630, 1465770903, 1202459494, 1058008004, 1992368650, 1394124755, 1023289395, 2104330658, 1589201513, 1233018279, 1324562986, 1704292681, 1141821651, 2115644100, 1470989170, 1622742105, 1195119581, 1024870900, 1112880822, 1613157568, 1425629201, 1528573942, 2027613233, 1593297436, 1633498545, 2099653067, 1381230270, 1845713651, 1003810598, 1726280215, 1823881283, 2009137974, 1824020545, 1520021091, 1115371143, 1217666152, 1013180575, 1015335301, 1222557151, 1631548477, 1989149587, 1463337531, 1410670867, 1662137881, 1925089203, 1671018135, 1644402451, 1251344260, 1842387137, 1422074327, 1698009120, 1193759282, 1585851283, 1692078541, 1376904966, 1047227260, 1389684684, 1272053450, 1951015249, 1299028080, 1751563643, 1268440709, 1178784611, 1427931193, 1942341347, 1804017327, 1547012380, 1717760841, 1344111920, 1686368686, 1295489031, 1267531453, 1002508016, 1395164698, 1114494814, 1530105351, 2063273922, 2082793758, 1832433666, 1657296883, 1494633517, 1753726395, 1298069602, 1794850758, 2032725013, 2076258046, 1677465276, 1481633038, 1002352380, 1085806074, 1357817261, 1720275917, 1580993400, 1857174519, 1998963298, 1513041768, 1165897785, 1063430699, 1140684468, 2007605988, 1896465476, 1365910567, 1307359394, 1648097140, 2011210417, 1687507392, 1052724202, 1489587612, 1699655702, 1605282550, 1816713489, 2070212157, 2081188182, 1001369333, 1609558707, 1255579531, 1069255398, 1228446822, 1487089091, 1900463140, 1462985296, 1876556477, 1850022688, 1294538817, 1376290657, 2077290170, 2134575697, 1930913405, 1923254217, 2034822179, 1552853477, 1033128184, 1397155371, 1831254088, 1251270650, 1387915222, 1029408820, 1429995593, 1330977325, 1401825015, 1239932060, 1370498251, 1881056613, 1049791465, 1899283529, 1734726170, 1246027716, 2066681518, 1692709222, 1692733799, 1054944098, 1254924105, 1696116895, 1078449614, 1475240545, 1434828816, 1400760042, 2028965240, 1186394913, 1523076944, 2098186391, 1405945428, 1670108689, 2058153783, 1193857715, 1847262086, 1338448475, 1225292949, 1057417883, 1710829671, 1599883970, 1263959799, 1687269683, 1270291987, 1973239867, 1969578189, 1600056054, 1465680629, 1078916583, 1020954998, 1366549726, 1109276588, 2027679081, 1001049630, 1719694133, 1878227525, 1725076325, 1353598233, 2118282233, 1849449345, 1684525529, 2117716870, 1664284402, 1605610098, 1945249334, 1011968405, 1762942162, 2055810895, 1546242543, 1087681811, 1649899408, 1954775371, 1453663087, 2049830886, 2096834864, 1142305242, 1434493005, 2098432222, 1226325205, 1908147309, 1584614305, 1319738237, 1822660983, 1958879510, 1973133376, 1940473460, 1323875127, 1586924404, 1602259555, 1694273816, 1502628980, 1204154912, 1450197911, 1261600474, 1035602002, 2004640404, 1182110620, 1185690437, 1716179872, 1584827292, 1423319354, 1558309132, 1450918795, 1565272252, 1863949032, 1727181568, 1723953970, 1606584886, 1856371548, 1256374043, 1587948383, 1118549841, 1129330346, 1207185909, 1256832225, 1221181120, 1488670384, 1976501188, 1823275681, 1063086416, 1299266428, 1886922359, 2093943519, 2099243791, 1906599860, 1895941905, 1761320680, 1684566651, 1159205646, 2055564444, 1834933060, 1195512152, 1652552803, 1343194671, 1791786223, 1243061297, 1194643740, 1788288190, 1869478208, 2136951154, 1440728048, 1795521844, 2112818140, 1360758568, 1262402826, 1370228632, 1981587498, 1794653391, 1658909911, 1555090056, 1503776664, 1667028320, 1410359855, 1914791009, 1947411025, 1749097987, 1498230539, 1437860850, 1265515816, 1490964121, 1500040994, 1106810807, 1746124355, 1986052146, 1938318812, 1749302801, 1017563902, 1351861960, 1254497434, 1583794234, 1680372341, 1573907345, 1328445809, 1130853639, 1595369843, 1057114475, 1109398603, 1199509775, 1146278435, 1192210809, 1556064968, 1277573713, 2011218329, 2128439457, 1993113777, 1082906356, 1370785589, 1364985823, 1879303819, 1633081308, 1473732955, 1552919043, 2125563965, 2099973030, 1217175068, 1824741970, 1638651706, 1314429131, 1864931772, 1553443330, 1689457193, 1701409779, 1948852917, 2117871779, 1099765545, 1285986819, 1575234370, 1968792574, 1372874611, 1433183172, 1443291308, 1119466514, 1912358743, 1890149892, 2000650641, 1322301566, 1719046361, 1165267911, 1295260546, 1103935354, 1847523495, 1488743942, 1175621806, 1138677091, 1901955043, 2057022500, 1408050514, 1223573028, 1498992534, 2031579096, 1364158366, 1902503863, 1269071223, 1344685810, 1284233822, 1355490845, 1947247303, 1590609942, 1317869655, 1716908174, 1720750156, 1393452496, 1893541437, 1222540858, 1350313624, 1166037860, 1401431406, 1929323544, 1913750779, 1070360866, 1778941159, 1990819928, 1278073564, 2041139034, 2069613998, 2047438079, 1321269302, 2078543122, 1703924601, 1824504393, 1369335654, 1075541729, 1807859002, 1663235545, 2096368137, 1879860977, 1668789641, 1790614974, 1159189010, 1443684619, 1629337109, 2094525404, 1850014031, 1711239924, 1016392600, 1625618408, 1573898946, 1297521222, 1613895456, 1940563129, 1019390929, 1870305390, 1895253985, 1424393201, 1656640932, 1251671425, 1031080558, 1650292033, 1479831336, 1774542552, 1161343525, 1045326191, 1268628666, 1014729564, 1115436372, 1906452107, 2096229336, 1911703256, 1311373575, 1648473454, 1417249611, 1100043938, 1710756556, 1191309365, 1884825455, 1778908479, 2025230223, 1578666276, 1403118748, 1265867854, 1362437640, 1628329520, 1184248232, 2002976803, 2092092403, 1841322625, 2052148499, 1149875148, 1339037847, 1355597703, 1020136323, 1571343078, 1167258307, 1702990544, 1129239577, 1540025488, 1149359067, 1665053794, 1943635076, 2060225938, 1351681998, 2012250287, 1224105876, 1610139803, 2142283987, 1787624943, 1225662059, 1109497158, 1110398280, 1650472200, 1806720217, 2032225869, 1102870224, 1800633406, 1541024948, 2022428667, 1111070024, 2045513368, 1210670941, 1920394499, 2079886478, 1043441991, 2057973213, 1296742962, 1945003158, 2085292850, 1372219059, 1579600220, 1199353863, 2054229489, 1937597693, 1904789000, 1781038506, 1090017136, 1618999287, 1311357347, 1850702277, 1230339807, 1533324527, 1359439500, 1120834882, 1783184836, 1740296244, 1529842849, 1827904380, 1914635661, 1219911461, 1796488327, 1995129213, 1860032843, 1265835237, 1508568690, 2093566801, 1993580875, 1492201320, 1065060578, 1937589479, 1677325410, 1837439518, 1535855632, 1709904502, 1974813204, 1481953270, 1602308130, 1625061241, 1481592810, 1709740622, 1040279975, 2131986619, 1823718170, 1819065285, 1904576044, 1162564321, 1374053962, 1151447823, 2113268315, 1298193106, 1983988210, 1363388151, 1579870622, 1051175186, 1861744961, 1817050107, 1962664781, 1684870100, 1354000142, 1447846390, 2113923649, 2142668809, 1327413470, 1316993469, 1115329977, 1687352145, 1739321454, 1126683873, 1735618740, 1440178704, 1067919471, 1524395281, 1142961133, 1863637191, 1089746720, 1309784519, 1356113666, 1287641959, 2068491411, 2010152971, 1231617716, 1044441502, 2005745772, 1696068341, 1562340092, 1867258031, 1560431329, 1464172705, 1528540414, 1009535946, 1172058682, 1340438531, 1392272666, 1234148967, 1632253600, 1650652558, 1956692813, 1788501367, 1046325680, 1889650513, 1741361211, 2072374388, 2031054590, 1600391319, 1109382636, 1727320320, 1383785856, 1426088698, 1637545568, 1357694737, 1273101342, 1975042631, 1742372827, 1045497424, 1813533722, 1253323446, 1549952103, 1090328826, 1000088475, 2049286703, 2065408784, 1966247231, 2136065856, 2039841159, 1490796745, 2109433251, 1021576446, 1795437342, 1957801130, 1069541283, 2119706180, 2117289518, 1539646427, 1188331210, 1747136572, 1092286725, 1768468808, 2074485638, 2059526882, 1582835323, 1881901064, 1356761336, 1559053509, 1587873422, 1479991322, 1815999505, 2123441825, 2053907036, 1350101065, 1480654963, 2079269849, 1373317612, 1299256651, 1625757917, 1885628504, 1610090439, 1924532982, 2068267782, 1279095934, 1426378048, 1888331976, 1324635825, 1784730150, 1224167600, 1495761260, 1929030327, 2016936055, 1948748912, 1624651918, 1809183664, 1073031056, 1079670845, 2080072593, 1099086312, 1684290575, 1797182315, 2112767387, 2146125725, 2064130928, 2087437329, 1503248866, 1344137313, 1300551160, 1317647883, 1157913984, 2115806870, 2103035347, 1037600083, 1699601856, 1274590071, 1547076775, 1049339417, 1521304121, 2064040851, 2114094741, 1281291457, 1569588524, 1323898443, 2017460451, 1568122323, 1202880279, 1038591297, 2030887338, 1056474719, 2101585386, 1498194407, 1131142084, 1970900425, 1398246374, 1470107411, 1805955856, 1596082074, 2141480732, 1662876580, 1824732281, 1267438385, 1892362352, 1220481027, 1901930979, 1257624139, 1585579586, 2104018344, 1337276276, 1159814624, 1445998323, 2126259832, 1085085803, 1433398695, 1061177225, 2057708143, 1738645359, 1078900864, 1026237946, 2015043786, 1606674193, 1208021203, 1229287824, 2066457597, 2018369684, 1513292521, 1956326471, 1794437673, 1639012718, 2098767352, 1755500610, 1744248596, 1912769254, 1828172819, 1630165455, 1167531378, 1085896785, 1708211513, 1746817271, 1911195910, 1782682285, 1675696912, 2140063612, 1559405569, 1903077786, 1633745309, 1417915779, 1966566454, 2011082460, 1064732277, 1070933712, 2098660369, 1046415192, 1225297920, 1427434520, 1686330764, 1144151330, 1794569191, 2061632497, 1708539072, 1661729309, 1784034126, 1997311508, 1478811965, 1351698829, 1562477629, 1220710878, 1358162413, 1272779458, 1266954916, 2064851505, 2111120630, 1365837901, 1873761931, 1806824085, 2055144283, 1554900360, 1347234152, 1308275935, 1171815678, 1842975998, 1914325821, 1463914091, 1438272657, 1077565707, 1865758212, 1636939938, 1149115725, 1734835794, 2117363458, 1634760774, 2074387100, 1437117585, 2119993189, 1631590522, 1363871857, 1464667761, 2060076022, 1748480265, 1720115128, 2127177610, 1136016118, 1439943826, 1650539299, 1613814131, 1830409309, 1846859601, 1309603657, 1678122305, 1551131967, 1735212576, 1296274444, 1676409529, 1143324023, 1599899151, 1478877555, 1790710762, 1155530119, 1489674641, 1164205119, 1277023553, 1072121479, 1575806093, 2091845070, 1961864587, 1063683587, 1221407144, 1610717543, 2015854926, 1212952869, 1698552919, 1473310396, 1968811060, 1050593265, 1362593863, 1595909739, 1562354795, 1567261727, 1772654813, 1778398070, 1965100118, 1953910031, 1673550522, 1789490131, 1516307227, 1896351860, 1003160246, 1246499788, 1455845190, 1519198989, 1583359969, 1097160935, 1332623084, 1852782571, 1677245044, 1343580568, 1468231186, 1041491842, 1743887971, 1171807306, 1837429776, 2095596912, 1761423717, 2144216661, 1153793369, 2022957326, 1229041888, 1486962944, 2084349341, 1062586102, 1925131036, 1145454053, 1202028033, 1374210127, 1310259120, 1388563307, 1884031460, 2104550617, 1416687066, 1725923187, 1765494932, 2031886504, 1066419748, 1734967005, 1598244603, 1134983711, 2117789571, 1695816872, 1174387776, 1088534816, 1424747818, 1025107163, 1141390795, 2126079866, 1914489823, 1164991669, 1540301317, 1872836202, 1894033705, 2009976320, 1908320368, 2072232524, 1726758691, 1992879896, 1358580010, 2009861661, 1790137186, 1497006313, 1686289750, 1634236604, 1565672580, 1383558049, 1623038315, 1024402648, 1253421933, 1890929005, 1974217844, 2021376417, 1347398035, 2129446707, 1503207494, 1567802512, 1023640801, 1988767593, 2102551734, 1564648615, 1311692745, 1445777351, 1759416627, 2102125733, 1250833248, 1103648807, 2037072024, 1084184939, 2014175736, 1573004343, 1654930259, 1985023913, 1321842481, 1046226854, 1454960450, 1225478385, 1558193435, 1812215295, 1294071005, 2099791061, 1309874158, 1368181641, 1079171671, 1720614024, 1372892114, 2072895877, 1755107989, 1097522022, 1369787304, 2066948413, 1815426618, 1804218757, 1624505027, 1454337215, 1842771908, 1341937129, 2048311297, 1274302957, 1528021256, 1260474685, 1950010919, 1425338068, 1956269754, 1353362057, 1770918826, 2033509137, 1553024692, 1105222599, 1047659614, 1984621690, 1290434266, 1341044191, 1182604366, 1419710124, 1060070683, 2091902617, 1165844293, 1115183169, 2022613684, 1720884392, 1787736244, 1348561499, 1543356870, 1252085916, 2096588489, 1054499992, 1781977205, 1375308733, 1007052354, 2024039136, 1346529799, 1569671113, 2055250119, 1180433427, 1017243368, 1122359471, 1903340344, 1242460227, 1671543281, 2117665897, 1571719167, 1106344866, 2121983023, 1584202808, 1204608405, 1430294298, 1832392546, 1881377400, 1947651658, 1826600579, 1663383929, 1755992823, 1876252043, 1597375849, 1544996470, 1059071297, 1563387725, 1270338004, 1266700772, 1443761257, 1539588525, 1764832088, 1869075726, 1005093253, 1293973328, 1236751301, 1489691324, 1004003745, 1695367029, 1056228494, 1409609343, 1188109482, 1861670029, 1733164337, 1430368060, 1565665068, 2079121810, 1576200076, 1436069862, 1685110287, 1040491652, 1974243116, 2120721638, 1746088592, 1551542014, 1507836755, 1894099561, 1842419551, 1985342663, 1883491024, 1127152058, 1080031944, 1775579970, 1395468725, 1237635934, 1642912631, 1476144481, 1732591064, 1859015761, 1629305791, 1748152976, 1566509053, 1900932075, 1009018504, 1675401586, 1779011769, 1172242286, 1249333445, 1931028906, 1344793235, 2112849755, 2029666894, 1860187222, 1802015186, 1720474672, 1179327735, 1687084592, 1574160237, 1711079235, 1769616314, 1285781089, 1884113551, 1224471097, 1320899708, 1354066546, 1188568080, 1212093172, 1943357721, 1084217935, 1017529975, 1378789631, 1279596182, 1911442237, 2006273344, 1095613338, 2083497717, 1816049376, 1787703376, 1876186420, 2076524837, 1442557723, 1342384866, 1726184448, 1791914026, 1364880318, 1600578956, 1721719923, 1822537292, 1060562392, 1399515546, 1550182036, 1506370362, 2076336438, 1978093336, 1940744365, 1883614017, 1305163471, 1898080804, 1541234901, 1964772885, 1224946186, 1482441559, 1491100651, 1088412626, 1637063324, 2083055417, 2107713203, 1637145216, 2076942558, 2040300169, 1592903145, 1273286908, 1849857369, 2018485073, 1366125170, 1615354729, 1642470085, 1233400480, 2030502433, 1984392545, 1994542533, 1414057839, 1889004478, 1938974907, 1289787338, 1569990334, 1770189486, 1063543881, 1552148403, 1553237925, 1404913800, 1074035505, 1012688669, 1952763686, 1911466669, 1074494279, 2095245231, 1408886964, 1401702620, 1293030976, 2060657031, 2074681598, 2107795194, 1762521684, 1214894896, 1467132969, 1694678623, 1975733918, 1404733671, 1237340829, 1495892598, 1576969889, 1152057294, 1886235400, 1336816841, 1160404546, 1007077231, 1395566659, 1209447289, 1750111008, 1936902146, 1099381495, 1448643881, 1647360323, 2057888220, 1545209710, 1276712815, 1597555791, 1291835269, 1610881919, 1380550965, 2066227286, 1861055891, 2108966452, 1216254974, 1935411420, 1085537074, 1992600902, 1778930060, 1466952939, 1349659639, 1050354963, 2041299491, 1832851127, 1908116018, 1590617413, 1897253528, 1269870654, 1135556640, 1401759773, 1582392770, 2015781810, 1393445014, 1447243227, 1499153093, 1316443624, 1285224251, 2134418587, 1566394105, 1168539139, 1010812825, 1081801693, 2005412896, 1221022574, 1648302485, 1826805577, 1831368324, 1397975292, 1742568557, 1779487137, 1810026583, 2059649398, 1085381385, 1991732495, 1932052624, 2141619231, 1908509306, 1036658294, 2112079455, 2080434108, 1493689018, 2099029724, 1878971454, 1860441377, 1570186834, 1708940826, 1362119416, 1845573065, 1997696216, 1455238519, 1920215487, 1424469804, 1370827385, 1423232774, 1400752303, 1943226368, 1242436059, 1030080179, 1533911226, 1690500885, 2141471868, 2107729528, 1074641879, 1901816449, 1018742628, 2046910943, 1933191396, 1963896528, 2048508358, 2144977977, 2014151660, 1583359361, 1001668693, 1979887078, 2087307149, 1065206937, 1049306478, 1649441206, 1179811252, 1690050395, 1211003846, 1938516064, 1636350567, 1095252647, 2035090110, 1201601643, 1595712747, 1536630895, 1288017727, 1219785545, 1109621214, 1289287461, 1333081227, 1887276156, 2012318707, 1944203232, 1246803541, 1355631816, 1589347005, 1337709500, 1855935127, 1703639426, 1981786646, 1718778491, 1304531403, 1565688153, 1019134130, 2037015911, 1770632580, 1411639342, 1932455713, 1423993071, 1000728490, 1779373598, 1155995893, 2120090189, 1350601875, 1348693110, 1782421032, 1304793555, 1352232078, 1301795214, 1143543859, 1701763445, 1270069166, 1693374671, 1855484602, 2143863788, 2038760864, 1922404019, 1786984101, 1386213048, 1464511341, 1621105801, 1218663562, 1870558037, 1156954328, 1913474594, 1394585392, 1735793479, 1826885846, 1282961482, 2002430825, 1066369979, 2039686566, 1011089521, 1913884196, 1308734006, 1160706326, 1776948690, 1583014496, 1807456135, 1013129311, 1618820161, 1890020507, 1268864924, 1030562128, 1793013472, 1551843387, 1642569123, 1456130703, 1160092000, 1319555811, 1339773854, 1430325511, 1361096039, 1529513827, 1924140794, 1608975277, 1851601424, 1105894823, 1193360238, 1434364209, 2003069748, 1540040603, 1411074121, 2009754520, 1228780907, 1648328296, 1381731842, 1553531075, 1141545047, 1226732864, 2060584627, 1404080081, 1294799177, 1465936645, 2021868772, 1716279840, 1240552833, 1248990723, 1512179280, 1216558320, 1960552621, 1847431780, 1214084132, 1163401506, 1372016058, 2128487072, 1581490748, 1016733722, 1645764249, 1226503576, 1832423866, 1856991789, 1689753651, 1394577306, 1137745751, 1855107610, 1885932769, 1695799707, 1024360839, 1471638334, 1202191149, 1998015389, 2133181353, 1120984669, 1288425563, 1545871542, 1248712440, 1761703319, 1862398871, 1140268896, 1681561760, 1084988470, 2007911217, 1061987283, 1257657941, 1277685892, 1376317100, 1035911450, 1028424165, 1842352506, 1603756860, 1676631876, 1399148489, 1764111755, 1066476351, 1493066832, 1961027666, 1052533261, 2085765344, 1007599805, 2101150094, 2145272685, 1669963581, 1365052907, 1479926915, 1028407796, 1720285744, 1440778585, 1928048208, 1027990014, 1277538456, 1409673400, 1415809187, 1490551832, 1608729377, 1113185949, 1199799110, 1391636020, 1086979087, 1101045098, 1862160947, 1638817120, 1150285888, 1774155120, 1608737587, 1621982333, 1297453444, 1545961719, 1701575096, 1460882368, 1808946950, 1223357501, 1576354082, 1624185878, 1629027779, 1859883527, 1694579166, 2059617827, 2053097150, 1158019556, 2119008936, 1029595576, 1947920626, 1244026574, 2102395322, 1408593695, 1317900896, 1415923851, 1070834466, 1108655847, 1556914232, 1145886904, 1670905698, 1250063989, 2038957426, 1801394083, 1579279068, 1443138298, 1449503589, 1431218251, 1974659252, 1527940635, 2126193591, 1947445534, 1899654197, 1915850558, 2016961824, 2124333958, 1339855557, 2035344459, 2067170834, 1992969199, 1824084382, 1270732437, 2070341199, 1197562440, 1152670111, 1629371442, 1864192560, 1368231072, 1409085132, 1926279136, 1013825885, 2129503199, 1632451705, 1398419052, 1026375701, 1472809713, 1645436715, 2023540133, 1090763838, 1974651020, 2079385295, 1484514628, 1845153978, 1716902676, 1101053153, 1693088172, 1962240435, 1911090351, 2101239927, 1662410333, 1681512820, 1970137123, 1283436848, 2045371579, 2026866075, 1796142682, 1365830718, 1239258247, 1221637515, 1254692756, 1158436946, 1933315676, 1121697723, 1482892544, 1435093228, 1553596914, 2099716174, 1925205932, 1238717624, 1535231726, 1173805209, 1638030544, 1051845570, 1077861709, 1158166651, 2129240986, 1701885956, 1665482288, 1649409848, 1749398844, 1198086674, 1636343029, 1446923073, 1600406043, 2145780377, 1595605659, 1149032957, 1921486598, 1798493872, 1211241904, 1203116597, 1495631009, 2094440787, 1875464769, 1590641474, 1715084212, 2103509230, 1453837110, 1467722478, 1641118790, 1936207604, 1374653554, 1309488016, 1712896954, 1452739380, 1563836565, 1007813041, 1250211623, 2054285269, 1998629511, 1678940602, 1458088769, 1931349687, 1760580955, 1519060774, 1026736259, 1641774186, 1906887706, 1151555857, 1683544554, 1746113952, 2124825360, 1849660293, 1674903150, 1072366165, 1758082421, 1682831756, 1426073795, 1143912938, 1443720137, 1803597382, 2003749545, 1897622739, 1176845293, 1499284624, 1132043959, 1587594095, 1137942019, 2066097910, 1349545377, 1345105406, 1735195320, 1421666664, 1300942940, 1697954028, 1627651291, 1240929326, 2119025558, 2053343167, 1763824893, 1958422885, 1963239643, 1113038728, 1172699140, 1200732788, 1139686923, 1754101093, 1480173009, 1220293973, 1445333964, 1358785815, 2141135475, 1623784741, 1444776947, 1238283326, 1950460338, 1802958467, 1606795827, 1173649410, 1401302640, 1511262179, 1625603347, 1044046787, 1583850398, 1059185370, 1135623755, 1103780918, 1226708193, 1757156675, 1807898055, 1592172771, 2086068816, 1146337877, 1755010705, 1835455338, 1563566908, 1230255940, 1639055264, 1886785125, 1926409415, 1757681363, 1612004866, 1759557368, 2002430275, 1418939017, 1741445586, 1850724462, 1359793965, 1065836965, 1810904531, 1575248835, 1922026660, 2043062253, 1987496027, 1240152004, 1095868286, 2118754424, 1751578196, 1393667365, 1998752026, 1412246038, 1490454250, 1375915071, 1045307504, 1270117876, 1003750806, 1075912292, 1322782878, 1024828243, 1644723278, 1264547096, 1768150826, 1835324206, 1390406805, 1738349015, 1851805740, 1320890613, 1459939659, 1521222883, 1898033009, 1936231737, 1411738230, 1132944850, 1177892960, 2043676550, 1426852694, 1448364047, 1821987525, 1129209106, 1387310317, 1487898354, 1230526213, 1075576389, 1150008021, 1032520660, 1292555115, 1187469477, 1684797960, 1539179995, 1368338408, 1240618901, 1952582155, 1487742660, 2067055966, 1009467968, 1537566158, 1915219018, 1039336349, 2109604817, 1847988297, 2099577685, 1666047292, 2108539870, 2110899108, 1519592678, 2129379484, 1111817278, 1817121332, 2109375430, 2036754203, 1294291803, 1568555777, 1572135883, 2020533999, 1910058843, 1003881812, 1131822581, 1731451319, 1770223366, 2041808693, 2101969871, 1041711263, 2010376537, 1108466843, 1063797219, 1804899615, 1318883344, 1663835552, 1226798995, 1284936199, 1422338646, 1239783286, 1824838226, 1948510900, 1310412940, 1568973592, 1603715339, 1768200187, 2111644482, 1203198231, 1326600625, 1580794013, 1401515309, 1915628678, 1747957380, 1570677552, 1356959311, 1446709386, 1380969725, 1784747223, 1108573349, 1221703271, 1457195116, 1751725777, 1414687465, 1293497253, 1136942459, 1180129429, 1895673406, 2084463357, 1871712595, 1880149715, 1300730691, 1982671081, 1727420467, 1898147814, 1027941248, 1291244080, 1705401198, 1560642508, 1504135020, 2066638306, 1591926829, 1402096960, 1950157545, 2088395439, 1303827299, 2031634381, 1929186347, 1819980453, 1704909694, 1183225956, 1623825952, 1095532454, 1292375011, 2086986377, 2043340607, 1874751819, 1202977093, 1759753748, 1751570065, 2115674337, 1511548131, 1368215409, 2116968657, 2131141113, 1930112011, 1797297187, 1828950535, 1201248412, 1771845274, 1808110787, 2039776927, 1617657696, 1384230284, 1682635588, 2127675841, 1907879589, 1458309630, 1650253135, 2080531223, 1141529364, 1387859353, 1782912357, 1059635210, 2084832103, 1294258695, 1682840424, 1310101808, 1480738661, 1975642857, 1267512485, 1680358145, 1185855879, 1150008230, 1870663854, 1124826171, 1232827979, 1282528064, 1933872247, 1754077109, 1447610737, 1845351111, 1687518127, 1674829032, 1294807570, 1619238854, 1304433286, 1246213377, 1739143406, 1497179764, 1607082115, 2010065030, 1253389823, 1284453317, 1651424574, 1830220359, 2028079027, 1115708888, 1242502487, 1988225497, 2043348626, 1146247947, 1176885631, 1206335675, 2004609062, 1882787687, 2007795955, 2103968311, 2083103560, 1388064222, 1182791962, 1431956030, 1895747481, 1246213419, 1259222114, 1427745399, 2001070132, 1848062291, 1114881284, 1602125828, 1399114782, 1733089335, 1441696405, 1137638578, 1270961340, 1266627584, 1545749341, 1052827968, 1509885567, 1186322743, 1015948043, 1683332063, 2080212086, 1278342077, 2107015707, 1874153510, 1688263475, 2026334034, 1863069850, 1454090556, 1825510231, 1719048684, 1526113644, 1966885537, 1335103497, 1626521426, 1384058335, 1609547854, 1222170490, 1544373166, 1463216277, 2045879894, 1148763090, 1643691603, 1554907909, 2000726252, 1371246091, 1502103096, 1699347193, 1488733960, 1966508675, 1126153385, 1273132123, 1199413446, 1340051556, 1418226486, 1866903800, 1002431489, 1163868830, 1285886822, 1469761630, 1858203908, 1867083918, 1469843547, 1495377638, 1559782207, 2003175585, 1807676535, 2145370130, 1601192125, 1143692261, 1104797207, 1617993662, 1372188166, 1689901932, 1769526959, 1207990232, 1065664605, 1147960246, 2021574565, 1803687006, 1799312608, 1328795857, 1450543511, 1076092871, 1466452108, 1058545916, 1365159608, 1744107548, 1898811077, 1596661955, 1934666938, 1111178710, 1958210374, 1342705658, 1533412500, 1824797488, 1579672019, 1228076743, 1941351489, 1706768960, 1491101467, 1002521661, 1582268850, 1626406670, 1877626900, 2139283580};
        long expected = 1;
        long result = findSums(N, S, numbers);
        assertEquals(expected, result);
    }

    @Test
    public void testFindSums4() throws Exception {
        int N = 11;
        long S = 11;
        long[] numbers = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11};
        long expected = 5;
        long result = findSums(N, S, numbers);
        assertEquals(expected, result);
    }
}